import { Nested, TypeSaveProperty } from 'dotup-ts-types';
import { BaseGenerator, GeneratorOptions } from 'dotup-typescript-yeoman-generators';
import { TypescriptQuestions } from './TypescriptQuestions';
export declare type PartialTypescriptQuestions = Partial<TypeSaveProperty<Nested<TypescriptQuestions, string>>>;
export declare class TypescriptGenerator extends BaseGenerator<TypescriptQuestions> {
    constructor(args: string | string[], options: GeneratorOptions<TypescriptQuestions>);
    initializing(): Promise<void>;
    prompting(): Promise<void>;
    writing(): Promise<void>;
    end(): Promise<void>;
}
